Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.ifs.core.beans
Class AuditTypeEntry

    java.lang.Object
      oracle.ifs.beans.LibraryObject
          oracle.ifs.beans.TieLibraryObject
              oracle.ifs.beans.SystemObject
                  oracle.ifs.beans.TieSystemObject
                      oracle.ifs.beans.SystemCategory
                          oracle.ifs.beans.TieSystemCategory
                              oracle.ifs.core.beans.AuditTypeEntry

All Implemented Interfaces:
  IfsEventHandler, LibraryObjectInterface, SystemObjectInterface, Traceable

Direct Known Subclasses:
  TieAuditTypeEntry

    public class AuditTypeEntry

extends TieSystemCategory

A AuditTypeEntry represents Represents a single Audit Operation type used for configuring auditing.

Field Summary
`static java.lang.String` | `CLASS_NAME` The name of the ClassObject representing this class.
`static java.lang.String` | `OPERATIONSUCCESSMODE_ATTRIBUTE` The name of the attribute that describes whether successful and/or failed operations should be audited.
`static java.lang.String` | `OPERATIONTYPE_ATTRIBUTE` The name of the attribute that refers to the numeric value representing the operation type.

Fields inherited from class oracle.ifs.beans.SystemCategory
`ASSOCIATEDSYSTEMOBJECT_ATTRIBUTE`

Fields inherited from class oracle.ifs.beans.SystemObject
`ACTIVE_ATTRIBUTE, POLICYBUNDLE_ATTRIBUTE, POLICYLISTS_ATTRIBUTE, PROPERTYBUNDLE_ATTRIBUTE`

Fields inherited from class oracle.ifs.beans.LibraryObject
`DOMAIN_UNIQUENAME_DEFAULT_DELIMITER, m_ClassId, m_Id, m_Session, NAME_ATTRIBUTE`

Constructor Summary
`protected` | `AuditTypeEntry(LibrarySession session, java.lang.Long id, java.lang.Long classId, S_LibraryObjectData data)` Constructs an AuditTypeEntry object.

Method Summary
`int` | `getOperationSuccessMode()` Returns the numeric value that describes whether successful and/or failed operations should be audited.
`int` | `getOperationType()` Returns the numeric representation of the Audit Operation Type.
`protected SystemObject` | `handleCreate(LibraryObjectDefinition lodef)` Handle the low-level creation of the SystemObject
`boolean` | `isFailedOperationIncluded()` Returns whether failed operations should be audited.
`boolean` | `isSuccessfulOperationIncluded()` Returns whether successful operations should be audited.

Methods inherited from class oracle.ifs.beans.SystemCategory
`constructCategoryArray, constructCategoryVector, constructSystemCategory, getAssociatedSystemObject`

Methods inherited from class oracle.ifs.beans.SystemObject
`addCategory, constructSystemObject, constructSystemObjectVector, free, freeCategories, getCategories, getCategories, getCategories, getCategories, getPolicyBundle, getPolicyLists, isActive, postCreate, postUpdate, preCreate, preUpdate, putPolicy, removeAllPolicies, removePolicy, removePolicy, setActive, setPolicyBundle, setPolicyLists`

Methods inherited from class oracle.ifs.beans.LibraryObject
`applyProperties, auditCreated, auditUpdated, checkRequiredAttributeSet, clearCopyContext, clearFreeContext, clearUpdateContext, constructIdArray, constructIdArray, constructLibraryObject, constructLibraryObjectVector, createDedicatedPropertyBundle, deriveDomainUniqueName, dispose, equals, free, get, getAttribute, getAttributeByUpperCaseName, getAttributes, getAttributesByUpperCaseNames, getAuditDomainContext, getAuditEventFolderContext, getClassId, getClassname, getClassName, getClassObject, getCommonName, getCopyContext, getCreateContext, getData, getDefinition, getEffectivePolicyListElements, getEventualAttributeByUpperCaseName, getFreeContext, getId, getLabel, getName, getObjectReferenceAttribute, getOperationActionSpecificationContext, getPropertyBundle, getPropertyValue, getPublicObjectAttribute, getResourceString, getResourceString, getSchemaObjectAttribute, getSession, getSessionInterface, getSharedStateFactory, getStringIdentifier, getSystemObjectAttribute, getTraceLogger, getUpdateContext, handleAdminModeChange, handleEvent, handleFree, handleUpdate, hashCode, hasNameAttribute, invokeOperation, invokeOperation, invokeServerMethod, isConnected, isCoreEventPostingEnabled, isInstanceOf, isTraced, isValidEventType, lockRows, lookupInstanceLabel, postEvent, postEvent, postFree, preFree, prePostAuditEvent, putProperty, putProperty, removeAllProperties, removeProperty, renderAsRandomAccessContent, renderAsReader, renderAsStream, setAttribute, setAttribute, setAttributes, setAttributes, setCopyContext, setFreeContext, setId, setName, setPropertyBundle, setPropertyValue, setUpdateContext, toString, trace, trustHandleCreate, trustHandleCreateAsAdmin, trustHandleFree, trustHandleFreeAsAdmin, trustHandleUpdate, trustHandleUpdateAsAdmin, update, updateAndExposeDefinition, validatePropertyValues, vectorLibraryObjectElement, vectorToLibraryObjectArray, verifyAdministrationMode, verifyConnected, verifySystemUserAccess, verifyTargetObject`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, notify, notifyAll, wait, wait, wait`

Methods inherited from interface oracle.ifs.common.LibraryObjectInterface
`getAttributeByUpperCaseName, getClassId, getId, getSessionInterface`

Methods inherited from interface oracle.ifs.common.Traceable
`getTraceLogger, isTraced, trace`

Field Detail

### CLASS_NAME

    public static final java.lang.String CLASS_NAME

  Description copied from class: `AuditTypeEntry`
  The name of the ClassObject representing this class.

  See Also:
    Constant Field Values

### OPERATIONTYPE_ATTRIBUTE

    public static final java.lang.String OPERATIONTYPE_ATTRIBUTE

  Description copied from class: `AuditTypeEntry`
  The name of the attribute that refers to the numeric value representing the operation type.

  See Also:
    Constant Field Values

### OPERATIONSUCCESSMODE_ATTRIBUTE

    public static final java.lang.String OPERATIONSUCCESSMODE_ATTRIBUTE

  Description copied from class: `AuditTypeEntry`
  The name of the attribute that describes whether successful and/or failed operations should be audited.

  See Also:
    Constant Field Values

Constructor Detail

### AuditTypeEntry

    protected AuditTypeEntry(LibrarySession session,
                             java.lang.Long id,
                             java.lang.Long classId,
                             S_LibraryObjectData data)
                      throws IfsException

  Constructs an AuditTypeEntry object.

  Parameters:
    `session` - current LibrarySession
    `id` - object id
    `classId` - class id
    `data` - data component
  Throws:
    `IfsException` - if the operation fails

Method Detail

### getOperationType

    public int getOperationType()
                         throws IfsException

  Description copied from class: `AuditTypeEntry`
  Returns the numeric representation of the Audit Operation Type.

  Returns:
    the operation type
  Throws:
    `IfsException` - if the operation fails

### getOperationSuccessMode

    public int getOperationSuccessMode()
                                throws IfsException

  Description copied from class: `AuditTypeEntry`
  Returns the numeric value that describes whether successful and/or failed operations should be audited.

  Will be one of the following constants:

  - `LibraryConstants.AUDIT_SUCCESS_MODE_NONE`
  - `LibraryConstants.AUDIT_SUCCESS_MODE_SUCCESS_ONLY`
  - `LibraryConstants.AUDIT_SUCCESS_MODE_FAILURE_ONLY`
  - `LibraryConstants.AUDIT_SUCCESS_MODE_SUCCESS_OR_FAILURE`

  Returns:
    the operation success mode
  Throws:
    `IfsException` - if the operation fails

### isFailedOperationIncluded

    public boolean isFailedOperationIncluded()
                                      throws IfsException

  Description copied from class: `AuditTypeEntry`
  Returns whether failed operations should be audited.

  Returns:
    true if failed operation should be included; false otherwise
  Throws:
    `IfsException` - if the operation fails

### isSuccessfulOperationIncluded

    public boolean isSuccessfulOperationIncluded()
                                          throws IfsException

  Description copied from class: `AuditTypeEntry`
  Returns whether successful operations should be audited.

  Returns:
    true if failed operation should be included; false otherwise
  Throws:
    `IfsException` - if the operation fails

### handleCreate

    protected SystemObject handleCreate(LibraryObjectDefinition lodef)
                                 throws IfsException

  Description copied from class: `SystemObject`
  Handle the low-level creation of the SystemObject

  Overrides:
    `handleCreate` in class `SystemObject`
  Parameters:
    `lodef` - definition that will be used to create the object
  Returns:
    the object created (typically the target object)
  Throws:
    `IfsException` - if operation fails

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD